> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Termination Audit Report

> Delegates to TerminationAuditService to list termination audit rows filtered by date range and role.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/termination-audit-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/termination-audit-report:
    post:
      operationId: terminationAuditReport
      summary: Termination Audit Report
      description: >-
        Delegates to TerminationAuditService to list termination audit rows
        filtered by date range and role.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TerminationAuditReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TerminationAuditReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TerminationAuditReportRequest:
      type: object
      properties:
        dateFrom:
          type: string
          format: date-time
        dateTo:
          type: string
          format: date-time
        roleInOrgID:
          type: string
          format: uuid
        includeScheduled:
          type: boolean
    TerminationAuditReportResponse:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
          grantName:
            type: string
          grantType:
            type: string
          grantKind:
            type: string
          recipientName:
            type: string
          recipientExternalID:
            type: string
          roleInOrgID:
            type: string
          employmentType:
            type:
              - string
              - 'null'
          country:
            type:
              - string
              - 'null'
          originalGrantAmount:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          originalGrantAmountFiat:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          finalVestedTokens:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          finalVestedFiat:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          cancelledTokens:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          cancelledFiat:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          settledTokens:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          terminationDate:
            type: string
          futureTerminationDate:
            type:
              - string
              - 'null'
          grantStatus:
            type: string
          grantCreatedAt:
            type: string
          totalVestingPeriods:
            type: integer
            minimum: 0
          completedVestingPeriods:
            type: integer
            minimum: 0
          cancelledVestingPeriods:
            type: integer
            minimum: 0
          terminationHistory:
            type: array
            items:
              type: object
              properties:
                terminationInfoID:
                  type: string
                terminationDate:
                  type: string
                terminationStatus:
                  type: string
                isVestingAcceleration:
                  type: boolean
                accelerationDetails:
                  type:
                    - string
                    - 'null'
                createdAt:
                  type: string
              required:
                - terminationInfoID
                - terminationDate
                - terminationStatus
                - isVestingAcceleration
                - accelerationDetails
                - createdAt
          activityHistory:
            type: array
            items:
              type: object
              properties:
                eventType:
                  type: string
                eventDescription:
                  type: string
                createdAt:
                  type: string
                actorName:
                  type: string
              required:
                - eventType
                - eventDescription
                - createdAt
                - actorName
          tags:
            type: array
            items:
              type: string
          pricePerUnit:
            type: string
            format: decimal
            pattern: ^-?[0-9]+(\.[0-9]+)?$
          currency:
            type:
              - string
              - 'null'
          isCashCompensation:
            type: boolean
        required:
          - grantID
          - grantName
          - grantType
          - grantKind
          - recipientName
          - recipientExternalID
          - roleInOrgID
          - employmentType
          - country
          - originalGrantAmount
          - originalGrantAmountFiat
          - finalVestedTokens
          - finalVestedFiat
          - cancelledTokens
          - cancelledFiat
          - settledTokens
          - terminationDate
          - futureTerminationDate
          - grantStatus
          - grantCreatedAt
          - totalVestingPeriods
          - completedVestingPeriods
          - cancelledVestingPeriods
          - terminationHistory
          - activityHistory
          - tags
          - pricePerUnit
          - currency
          - isCashCompensation
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
